# Interface QuerySequenceFactory

All Known Implementing Classes:
  `CoverageQuerySequenceFactory, HealpixSortedQuerySequenceFactory, JELQuerySequenceFactory`

public interface QuerySequenceFactory
Object which can generate an iterator over cone search specifiers.

Since:
  16 Oct 2007
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`ConeQueryRowSequence`
`createQuerySequence(uk.ac.starlink.table.StarTable table)`
Creates a query sequence.

## Method Details

### createQuerySequence

ConeQueryRowSequence createQuerySequence(uk.ac.starlink.table.StarTable table) throws IOException
Creates a query sequence.

Parameters:
  `table` - input table
Throws:
  `IOException`